PUT /api/v3/template/{templateId}/accountMeter

Assigns a template to multiple account-meter relationships

UpdateAccountMetersLatestTemplateV3 Permissions: Accounts (Edit)
Use this endpoint to bulk-assign a template to one or more account-meters. If the accountMeter has no template assigned, one will be created. If the accountMeter’s latest template assignment is end-dated, a new assignment starting from the latest end date is created. For account-only records, the template must be for the ‘Money’ commodity. All assignments are applied atomically — all must succeed or none are applied.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
templateId Unique numeric identifier of the template to assign integer (int32) Required

Request Body

Array of:

Type: integer (int32)

Example Request Body application/json
[
  1
]

Responses

204 No Content The request succeeded. No content is returned in the response body.
400 Bad Request The request was malformed or contains invalid parameters. Check the request body and query parameters.